function buscarGruposi(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formGruposi.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busGruposi/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblGruposi");
      jsonJS.gruposi.forEach(function(i){
        addRowGruposi(i.gru_cod, i.gru_nom);
      });

      $("#tblGruposi tbody tr").dblclick(function() {
        selectGruposi(a, $(this));
      });

      $("#tblGruposi tbody #btnSelecGruposi").click(function() {
        selectGruposi(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowGruposi(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecGruposi'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblGruposi tbody").append(markup);
}

function selectGruposi(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblGruposi");
}